com.pixelmed.network

## Class PresentationDataValue

- java.lang.Object
- - com.pixelmed.network.PresentationDataValue

    public class PresentationDataValue
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PresentationDataValue(byte[] buf, int offset, int length)`
`PresentationDataValue(byte presentationContextID, byte[] value, boolean isCommand, boolean isLastFragment)`

### Method Summary

Methods
`byte[]` `getBytes()`
`byte` `getPresentationContextID()`
`byte[]` `getValue()`
`boolean` `isCommand()`
`boolean` `isLastFragment()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PresentationDataValue

    public PresentationDataValue(byte presentationContextID,
                         byte[] value,
                         boolean isCommand,
                         boolean isLastFragment)
                          throws DicomNetworkException

Parameters:
  `presentationContextID` -
  `value` -
  `isCommand` -
  `isLastFragment` -
Throws:
  `DicomNetworkException`

#### PresentationDataValue

    public PresentationDataValue(byte[] buf,
                         int offset,
                         int length)
                          throws DicomNetworkException

Parameters:
  `buf` -
  `offset` -
  `length` -
Throws:
  `DicomNetworkException`

### Method Detail

#### getBytes

    public byte[] getBytes()

#### getValue

    public byte[] getValue()

#### isLastFragment

    public boolean isLastFragment()

#### isCommand

    public boolean isCommand()

#### getPresentationContextID

    public byte getPresentationContextID()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`